<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>tilde.institute :: Code of Conduct</title>
    <link rel="stylesheet" href="tilde.css" type="text/css" />
    <link rel="icon" type="image/png" href="icon.png" />
</head>

<body>
    <div id="container">
        <?php include("header.html"); ?>
        <div id="content">
            <h1>tilde.institute code of conduct</h1>
            <p><strong>tl;dr</strong>: Be kind to each other. Think carefully about the words you
                use. Think carefully about what content you post and promote.</p>
            <h2>1. Purpose</h2>
            <p>A primary goal of tilde.institute is to be inclusive to the largest number of
                community members, with the most varied and diverse backgrounds
                possible. As such, we are committed to providing a friendly, safe and
                welcoming environment for all, regardless of gender, sexual orientation,
                ability, ethnicity, socioeconomic status, and religion (or lack
                thereof).</p>
            <p>This code of conduct outlines our expectations for all those who
                participate in our community, as well as the consequences for
                unacceptable behavior.</p>
            <p>We invite all those who participate in tilde.institute to help create safe
                and positive experiences for everyone.</p>
            <h2>2. Vision of tilde.institute</h2>
            <p><strong>tilde.institute exists to provide a safe, non-judgemental, and fun place to
                    explore creative projects and to seek intentional digital community.</strong></p>
            <p>In a post-facebook age, it is up to small communities to gather and work
                together to provide a space outside of the advertising-laden, corporate
                mediated world of social media.</p>
            <p>To that end, tilde.institute strives to be a radically inclusive community
                where people of all backgrounds and all technological experience levels
                can come together for peer education, to delight in one another's
                creations and to make good conversation.</p>
            <h2>3. Expected Behavior</h2>
            <ul>
                <li>Participate in an authentic and active way. In doing so, you
                    contribute to the health and longevity of tilde.institute.</li>
                <li>Exercise consideration and respect in your speech and actions.</li>
                <li>Attempt collaboration before conflict.</li>
                <li>Refrain from demeaning, discriminatory, or harassing behavior and
                    speech.</li>
                <li>If anyone asks you to stop a particular kind of behavior, always err
                    on the side of respecting their wishes. If you believe their request
                    is unreasonable or unfair, ask an admin, but don't respond with
                    hostility.</li>
                <li>Be mindful of your surroundings and of your fellow participants.
                    Alert community leaders if you notice a dangerous situation, someone
                    in distress, or violations of this code of conduct, even if they
                    seem inconsequential.</li>
            </ul>
            <h2>4. Unacceptable Behavior</h2>
            <p>Unacceptable behaviors include: intimidating, harassing, abusive,
                discriminatory, derogatory or demeaning speech or actions by any
                tilde.institute user online, at any related events, or in one-on-one
                communication carried out in the conduct of tilde.institute related projects.
                Community event venues--physical or digital--may be shared with members
                of the public; please be respectful to all patrons of these locations.</p>
            <p>Harassment includes: harmful or prejudicial verbal or written comments
                related to gender, age, sexual orientation, race, religious choices,
                disability; inappropriate use of nudity and/or sexual images in public
                spaces (like your \~ html pages); deliberate intimidation, stalking, or
                following; harassing recording; sustained disruption of the work of
                others; and unwelcome sexual attention.</p>
            <h2>5. Consequences of Unacceptable Behavior</h2>
            <p>Unacceptable behavior from any community member, including those with
                decision making authority or <code>sudo</code>, will not be tolerated.</p>
            <p>Anyone asked to stop unacceptable behavior is expected to comply immediately.
                If a community member engages in unacceptable behavior, the tilde.institute admins
                may take any action they deem appropriate, up to and including a temporary ban
                or permanent expulsion from tilde.institute (meaning your user account would be
                revoked) without warning.</p>
            <h2>6. If You Witness or Are Subject to Unacceptable Behavior</h2>
            <p>If you are subject to or witness unacceptable behavior, or have any
                other concerns, please see the Contact Information section below.</p>
            <p>Additionally, help engaging with law enforcement is always available.</p>
            <h2>7. Addressing Grievances</h2>
            <p>If you feel you have been falsely or unfairly accused of violating this
                code of conduct, use the Contact Information section below to send a
                concise description of your grievance.</p>
            <h2>8. Scope</h2>
            <p>We expect all tilde.institute members to abide by this code of conduct while:</p>
            <ul>
                <li>engaging with other users locally on the server</li>
                <li>publishing content hosted on tilde.institute</li>
                <li>engaging in community activities, whether in meatspace or cyberspace</li>
            </ul>
            <h2>9. Contact Information</h2>
            <p>tilde.institute admins:</p>
            <ul>
                <li>all admins &#9993; <a href="mailto:admins@tilde.institute">admins@tilde.institute</a></li>
                <li>gbmor
                    &#9993; <a href="mailto:gbmor@tilde.institute">gbmor@tilde.institute</a></li>
                <li>Kneezle
                    &#9993; <a href="mailto:kneezle@tilde.institute">kneezle@tilde.institute</a></li>
            </ul>
            <p>Admins can be reached privately:</p>
            <ul>
                <li>on IRC using <code>/msg gbmor hello</code> or <code>/msg kneezle hello</code></li>
                <li>via e-mail at the private addresses listed above.</li>
            </ul>
            <h2>10. License and Attribution</h2>
            <p>This code of conduct is based on
                <a href="http://citizencodeofconduct.org/">citizencodeofconduct.org</a> under the
                terms of the <a href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons
                    Attribution-ShareAlike
                    license</a>.</p>
        </div>
    </div>
</body>

</html>